summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver/ndp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver/ndp.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/ndp.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/ndp.sh b/tests/data_plane/vpp_lite_topo/test_driver/ndp.sh
new file mode 100644
index 0000000..5280c67
--- /dev/null
+++ b/tests/data_plane/vpp_lite_topo/test_driver/ndp.sh
@@ -0,0 +1,33 @@
+source config.sh
+source odl_utils.sh
+source topologies/3_node_star.sh
+
+if [ "$1" == "clean" ] ; then
+ 3_node_star_topo_clean no_odl
+ exit 0
+fi
+
+if [[ $(id -u) != 0 ]]; then
+ echo "Error: run this as root."
+ exit 1
+fi
+
+function send_icmp_from_namespace
+{
+ ip netns exec "$1" "$2" -w 15 -c 1 "$3"
+}
+
+
+function test_neighbor_discovery
+{
+ 3_node_star_topo_setup no_odl no_arp
+
+ maybe_pause
+ send_icmp_from_namespace vpp-ns5 "$1" "$2"
+ rc=$?
+
+ maybe_pause
+ 3_node_star_topo_clean no_odl
+ print_status $rc "No ICMP response!"
+ exit $test_result
+}